#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xf51ce5f2, "module_layout" },
	{ 0x164e7213, "param_ops_int" },
	{ 0x472f760c, "v4l2_event_unsubscribe" },
	{ 0xcab638c7, "v4l2_ctrl_subscribe_event" },
	{ 0xea0c15d, "v4l2_ctrl_log_status" },
	{ 0x1a59f15c, "vb2_ioctl_streamoff" },
	{ 0xfebf4fba, "vb2_ioctl_streamon" },
	{ 0xb99d78e3, "vb2_ioctl_dqbuf" },
	{ 0x7dbde489, "vb2_ioctl_qbuf" },
	{ 0x62899384, "vb2_ioctl_querybuf" },
	{ 0x6ae89269, "vb2_ioctl_reqbufs" },
	{ 0xae447593, "vb2_fop_release" },
	{ 0x54042ae, "vb2_fop_mmap" },
	{ 0xa52905f0, "video_ioctl2" },
	{ 0x3f036675, "vb2_fop_poll" },
	{ 0x334558c6, "vb2_fop_read" },
	{ 0xad0702f9, "vb2_ops_wait_finish" },
	{ 0x722bcabd, "vb2_ops_wait_prepare" },
	{ 0x7243c95, "usb_deregister" },
	{ 0xb0522fbb, "usb_register_driver" },
	{ 0xee53986b, "__video_register_device" },
	{ 0x3d7befda, "vb2_queue_init" },
	{ 0xb015237e, "vb2_vmalloc_memops" },
	{ 0x4ad75ad3, "v4l2_ctrl_new_custom" },
	{ 0x9955cbb0, "v4l2_ctrl_new_std" },
	{ 0x4419c0b9, "v4l2_ctrl_handler_init_class" },
	{ 0x67e8e6bc, "v4l2_device_register" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x77f6f183, "kmalloc_order_trace" },
	{ 0xdfeb967b, "usb_reset_device" },
	{ 0x9b23fc24, "request_firmware" },
	{ 0xfdcf48e7, "usb_alloc_urb" },
	{ 0x5bbe49f4, "__init_waitqueue_head" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7ed1ee52, "usb_get_dev" },
	{ 0xe346f67a, "__mutex_init" },
	{ 0xb87f93d0, "kmem_cache_alloc_trace" },
	{ 0xbd0e378e, "kmalloc_caches" },
	{ 0x1d5e1e97, "v4l2_fh_open" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x526c3a6c, "jiffies" },
	{ 0x3c3ffa9d, "v4l2_ctrl_handler_free" },
	{ 0xc70c0697, "video_unregister_device" },
	{ 0xe22c89d5, "v4l2_device_disconnect" },
	{ 0xfd88c9ae, "v4l2_device_unregister" },
	{ 0xcedeeded, "usb_put_dev" },
	{ 0x9bc4d78a, "release_firmware" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5e558d3, "usb_control_msg" },
	{ 0x2d6fcc06, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x999e8297, "vfree" },
	{ 0x8ffeff7, "usb_free_urb" },
	{ 0xb7097610, "usb_kill_urb" },
	{ 0xd5f5312d, "_dev_info" },
	{ 0x49970de8, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x647af474, "prepare_to_wait_event" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa1c76e0a, "_cond_resched" },
	{ 0xa93b6d41, "usb_bulk_msg" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xeea0399, "strscpy" },
	{ 0x67ea780, "mutex_unlock" },
	{ 0x3b1a0b36, "__v4l2_ctrl_s_ctrl" },
	{ 0xc271c3be, "mutex_lock" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x68f16eda, "video_devdata" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xb3578e4c, "vb2_buffer_done" },
	{ 0x6078afaf, "vb2_plane_vaddr" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x10503ed3, "_dev_err" },
	{ 0x5f754e5a, "memset" },
	{ 0x9d669763, "memcpy" },
	{ 0x3dcf1ffa, "__wake_up" },
	{ 0xc4e4c472, "usb_submit_urb" },
	{ 0x39a12ca7, "_raw_spin_unlock_irqrestore" },
	{ 0x5f849a69, "_raw_spin_lock_irqsave" },
	{ 0xc5850110, "printk" },
	{ 0xb1ad28e0, "__gnu_mcount_nc" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-vmalloc,videobuf2-common");

MODULE_ALIAS("usb:v1943p2255d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1943p2257d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "08392B36EC425C6D4EDFAD1");
