#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xf51ce5f2, "module_layout" },
	{ 0x164e7213, "param_ops_int" },
	{ 0x472f760c, "v4l2_event_unsubscribe" },
	{ 0xcab638c7, "v4l2_ctrl_subscribe_event" },
	{ 0xea0c15d, "v4l2_ctrl_log_status" },
	{ 0xa52905f0, "video_ioctl2" },
	{ 0x7243c95, "usb_deregister" },
	{ 0xb0522fbb, "usb_register_driver" },
	{ 0xee53986b, "__video_register_device" },
	{ 0x53a709cc, "videobuf_queue_vmalloc_init" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x62b107f8, "video_device_release_empty" },
	{ 0x5f754e5a, "memset" },
	{ 0xe346f67a, "__mutex_init" },
	{ 0x9955cbb0, "v4l2_ctrl_new_std" },
	{ 0x4419c0b9, "v4l2_ctrl_handler_init_class" },
	{ 0x67e8e6bc, "v4l2_device_register" },
	{ 0xb87f93d0, "kmem_cache_alloc_trace" },
	{ 0xbd0e378e, "kmalloc_caches" },
	{ 0x86d946d6, "videobuf_read_one" },
	{ 0x266a97c9, "videobuf_streamon" },
	{ 0x2b25009b, "v4l2_ctrl_handler_setup" },
	{ 0xc2c0cb0f, "videobuf_queue_is_busy" },
	{ 0xa07f508, "v4l2_fh_release" },
	{ 0x5e558d3, "usb_control_msg" },
	{ 0xb1b939e, "kmemdup" },
	{ 0xf14c9a5c, "videobuf_iolock" },
	{ 0xb6b7c295, "videobuf_vmalloc_free" },
	{ 0x2d0edba6, "videobuf_mmap_mapper" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c3ffa9d, "v4l2_ctrl_handler_free" },
	{ 0x999e8297, "vfree" },
	{ 0x1ca02956, "videobuf_mmap_free" },
	{ 0xfd88c9ae, "v4l2_device_unregister" },
	{ 0xe8d54b1f, "videobuf_poll_stream" },
	{ 0x65744b3f, "v4l2_ctrl_poll" },
	{ 0x8e865d3c, "arm_delay_ops" },
	{ 0x1d5e1e97, "v4l2_fh_open" },
	{ 0x3375510b, "mutex_lock_interruptible" },
	{ 0x1e1c244, "videobuf_reqbufs" },
	{ 0x3345f032, "videobuf_querybuf" },
	{ 0xc2b65fc4, "videobuf_qbuf" },
	{ 0x7e9876e9, "videobuf_dqbuf" },
	{ 0x6b6a2c62, "videobuf_streamoff" },
	{ 0x68f16eda, "video_devdata" },
	{ 0xeea0399, "strscpy" },
	{ 0x42896ed3, "v4l2_device_put" },
	{ 0x67ea780, "mutex_unlock" },
	{ 0xe22c89d5, "v4l2_device_disconnect" },
	{ 0xc70c0697, "video_unregister_device" },
	{ 0xc271c3be, "mutex_lock" },
	{ 0x8ffeff7, "usb_free_urb" },
	{ 0xb7097610, "usb_kill_urb" },
	{ 0xd5f5312d, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x39a12ca7, "_raw_spin_unlock_irqrestore" },
	{ 0x3dcf1ffa, "__wake_up" },
	{ 0x8e85ddfa, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5f849a69, "_raw_spin_lock_irqsave" },
	{ 0x10503ed3, "_dev_err" },
	{ 0x9d669763, "memcpy" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xc4e4c472, "usb_submit_urb" },
	{ 0xfdcf48e7, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0xb1ad28e0, "__gnu_mcount_nc" },
	{ 0xe707d823, "__aeabi_uidiv" },
};

MODULE_INFO(depends, "videodev,videobuf-vmalloc,videobuf-core");

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F1DCA7653BF505EB69E8930");
